import click
import yaml
import logging

from .preprocess import preprocess_file


@click.group()
# @click.argument('--config', envvar='PREPROCESS_CONFIG', type=click.File('r'))
def cli():
    pass


@cli.command(help='Run the preprocess daemon, attaching to a Redis queue')
def daemon(ctx):
    click.echo(ctx['CONFIG'])


@cli.command(help='Run a single, one-off preprocessing')
@click.argument('file_path', type=str)
@click.option('--config-file', type=click.File('r'))
@click.option('--use-dir', type=str) # TODO: check dir
def preprocess(file_path, config_file=None, use_dir=None):
    config = yaml.load(config_file)
    preprocess_file(config, file_path, use_dir)


if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG)
    cli()
