from os.path import join, basename
from glob import glob

from osgeo import gdal


def output_step(source_dir, target_dir, crs, driver, format_options):
    for filename in glob(join(source_dir, '*')):
        target_filename = join(target_dir, basename(filename))
        gdal.Warp(target_filename, filename, options=gdal.WarpOptions(
            dstSRS=crs,
            format=driver,
            creationOptions=format_options,
        ))

